Integrate API
Home
Company
Company
  • Company
  • Users
  • Office
Orders
Orders
  • Orders
  • Change Request
  • Drafts
  • GoToScan
Webhooks
Home
Company
Company
  • Company
  • Users
  • Office
Orders
Orders
  • Orders
  • Change Request
  • Drafts
  • GoToScan
Webhooks
  1. Drafts
  • Create a draft order
    POST
  • Update a draft order
    PATCH
  • Delete a draft order
    DELETE
  1. Drafts

Update a draft order

Prod Env
https://app.cubi.casa/api/integrate/v3
Prod Env
https://app.cubi.casa/api/integrate/v3
PATCH
/orders/draft/{order_id}
Update a draft order for a user. The latitude and longitude (floats) will be used
for fetching the nearest orders in the mobile app.
Required parameters: street, city, country,owner_email

Request

Authorization
or
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Successful response
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://app.cubi.casa/api/integrate/v3/orders/draft/c8a11daa-86ad-43ad-8ab3-756c741d1db6' \
--header 'Content-Type: application/json' \
--data-raw '{
    "street": "615 Bourbon St",
    "suite": "A1",
    "city": "New Orleans",
    "state": "Louisiana",
    "country": "United States",
    "postalCode": "70130",
    "info": "Extra info",
    "latitude": 29.958365,
    "longitude": -90.066198,
    "external_id": "R4ER93",
    "owner_email": "linus@computer.com",
    "package_type": "base",
    "add_ons": [
        "gla"
    ],
    "order_preferences": {
        "style_2d": {
            "style_template_id": "string",
            "add_info": "string"
        },
        "style_3d": {
            "video": {
                "speed": "string",
                "layout": "string"
            },
            "furniture_set": "string",
            "include_basement": true,
            "add_info": "string"
        }
    }
}'
Response Response Example
{
    "id": "312babc6-e742-4d54-ac49-e0f7b16ec15a",
    "info": {
        "status": "Draft",
        "created_by": "manager@cubicasa.com",
        "location": "121 North Washington Avenue Cubi suite Minneapolis",
        "order_type": "vbim",
        "first_delivered_at": null,
        "created_at": 1716238626.904049,
        "is_scan_order": true,
        "total_scanned_area": 0,
        "go2scan": null,
        "external_id": "EXT10005",
        "add_info": "",
        "style_template": null,
        "model_id": null,
        "product": {
            "add_ons": [
                "gla"
            ],
            "over_limits": [],
            "package_type": "base",
            "purchasable_add_ons": [
                "express_sla"
            ],
            "purchasable_package_types": [
                "plus"
            ]
        }
    },
    "address": {
        "city": "Minneapolis",
        "country": "United States",
        "full_address": "121 North Washington Avenue, Minneapolis, Minnesota 55411, United States",
        "latitude": 44.986947,
        "longitude": -93.275918,
        "number": "",
        "postalCode": "55411",
        "state": "Minnesota",
        "street": "121 North Washington Avenue",
        "suite": "Cubi suite"
    },
    "delivery_assets": null
}
Modified at 2025-08-11 11:34:35
Previous
Create a draft order
Next
Delete a draft order
Built with